# $Revision: 1.15 $, $Date: 2012/02/06 14:02:02 $
# Note:
# - Synergy-plus started as a fork to fix bugs on a stagnate project. They have since
#   combined forces with the original project and have merged code. Project is called
#   synergy again but still has some leftover synergy-plus naming like tar file names
# TODO:
# - add xdg/autostart for -client and -server instead
#
Summary:	Mouse and keyboard sharing utility
Summary(pl.UTF-8):	Narzędzie do dzielenia myszy i klawiatury
Name:		synergy
Version:	1.3.8
Release:	2
License:	GPL v2
Group:		Daemons
Source0:	http://synergy.googlecode.com/files/%{name}-%{version}-Source.tar.gz
# Source0-md5:	3534c65ecfa6e47d7899c57975442f03
Source1:	%{name}-client.init
Source2:	%{name}-client.conf
Source3:	%{name}-server.init
Source4:	%{name}-server.conf
Source5:	%{name}-server-layout.conf
URL:		http://synergy-foss.org/
BuildRequires:	cmake
BuildRequires:	libstdc++-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its own
display, without special hardware. It's intended for users with
multiple computers on their desk since each system uses its own
display.

%description -l pl.UTF-8
Synergy pozwala łatwo i bez specjalnego sprzętu dzielić jedną mysz i
klawiaturę pomiędzy wiele komputerów z różnymi systemami operacyjnymi,
z których każdy ma własny monitor. Jest przeznaczony dla użytkowników
z wieloma komputerami na biurku, jako że każdy system używa własnego
monitora.

%package xinitrc-client
Summary:	xinitrc startup scripts for synergy client
Summary(pl.UTF-8):	Skrypty startowe xinitrc dla klienta synergy
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	xinitrc

%description xinitrc-client
xinitrc startup scripts for synergy client.

%description xinitrc-client -l pl.UTF-8
Skrypty startowe xinitrc dla klienta synergy.

%package xinitrc-server
Summary:	xinitrc startup scripts for synergy server
Summary(pl.UTF-8):	Skrypty startowe xinitrc dla serwera synergy
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	xinitrc

%description xinitrc-server
xinitrc startup scripts for synergy server.

%description xinitrc-server -l pl.UTF-8
Skrypty startowe xinitrc dla serwera synergy.

%prep
%setup -q -n %{name}-%{version}-Source

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/X11/xinit/xinitrc.d,%{_sysconfdir}/synergy,%{_bindir},%{_mandir}/man1}

install -p bin/* $RPM_BUILD_ROOT%{_bindir}
%{__rm} $RPM_BUILD_ROOT%{_bindir}/*tests

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/synergyc.sh
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/synergy/client.conf

install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/synergys.sh
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/synergy/server.conf

cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/synergy/layout.conf

cp -p doc/synergyc.man $RPM_BUILD_ROOT%{_mandir}/man1/synergyc.1
cp -p doc/synergys.man $RPM_BUILD_ROOT%{_mandir}/man1/synergys.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL README
%doc doc/synergy.conf*
%dir %{_sysconfdir}/synergy
%attr(755,root,root) %{_bindir}/synergyc
%attr(755,root,root) %{_bindir}/synergys
%{_mandir}/man1/synergyc.1*
%{_mandir}/man1/synergys.1*

%files xinitrc-client
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/synergyc.sh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/synergy/client.conf

%files xinitrc-server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc.d/synergys.sh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/synergy/server.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/synergy/layout.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synergy.spec,v $
Revision 1.15  2012/02/06 14:02:02  glen
- rel 2

Revision 1.14  2012/01/23 00:29:04  glen
- up to 1.3.8

Revision 1.13  2010/10/26 12:09:24  caleb
- Forked project synergy-plus has merged back with synergy. New project URL etc.
- Up to 1.3.4

Revision 1.12  2008/04/05 19:20:16  qboosh
- unified

Revision 1.11  2008-04-03 12:30:10  arekm
- call aclocal

Revision 1.10  2008-04-01 18:39:48  qboosh
- pl for -xinitrc-*

Revision 1.9  2008-04-01 09:12:14  arekm
- rel 2; add xinitrc scripts

Revision 1.8  2008-04-01 09:06:29  arekm
- rename config files

Revision 1.7  2008-04-01 08:58:51  arekm
- xinitrc script for synergy client/server

Revision 1.6  2008-03-07 21:19:20  arekm
- rel 1

Revision 1.5  2007-03-23 02:20:33  patrys
- use Th deps

Revision 1.4  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/11/07 22:01:15  qboosh
- pl

Revision 1.1  2006/10/31 01:45:49  zbyniu
- new
